[Resolvido] Instalação do Master PDF Editor no Mate 19.1

editado 6 de janeiro em Aplicativos
Boa noite galera! Saudações a todos!
Sou novo aqui no Fórum e praticamente iniciante em Linux. Apaixonei-me pelo Linux Mint logo da primeira vez que instalei e comecei a usar - sem sombra de dúvida é um distro excelente!

Bom, o que me traz aqui é um problema que estou tendo com a instalação do Master PDF Editor. Instalei o Mate 19.1 32 bits porque o meu notebook é fraquinho. Uso bastante o Master PDF Editor é um excelente software para a edição de pdf no Linux. Quando usava a versão 18.3 não havia problema algum para instalar. Na versão 19.1 o Master Editor não instala de forma nenhuma. Gostei da versão 19.1, mas se não conseguir instalar o software vou ser obrigado a fazer um downgrade, infelizmente.

Alguém tem a solução para este problema neste versão do Mate?
Post edited by Alquintela on
·

Comentários

  • editado 5 de janeiro
    Não sei como você fez, mas aqui baixei o pacote .deb 64bit para Ubuntu 14.x-18.x do site: https://code-industry.net/free-pdf-editor/#get

    Quando cliquei nele para instalar, fui informado que havia uma dependência a ser satisfeita, que era a instalação do pacote: libqt5printsupport5
    Prossegui a instalação no Gdebi e ele instalou a dependência e o Master PDF Editor sem problema.

    Muito provável que o problema enfrentado por você seja referente ao suporte que a empresa oferece para a versão de 32bit que está restrita ao Ubuntu 12.x-14.x

    Vou tentar instalar também no meu netbook que usa arquitetura 32bit e Linux MInt 19.1, depois posto o resultado.
    Post edited by Alquintela on

    ·
  • Acabei de testar no meu Mint 19.1 Xfce 32bit, instalou também sem problema. Fiz assim:

    Fui no site que indiquei no post anterior e baixei a versão 32bit Ubuntu 12.x-14.x, o nome do pacote é:
    master-pdf-editor-5.2.20_i386.deb. Cliquei duas vezes no pacote e começou o processo de instalação pelo GDebi. Desta vez informou que havia 11 dependências a serem satisfeitas. Mandei prosseguir a instalação e o próprio GDebi instalou as dependências e o programa Master PDF Editor.

    Não sei como o amigo fez, mas comigo funcionou perfeitamente.

    ·
  • Boa noite Alquintela! Obrigado por responder ao meu poster. Uma coisa que esqueci de comentar foi que a versão que estou tentando instalar é a 4.4.0.30 (master-pdf-editor4-4.0.30-1pclos2017.x86_64). A Code Industry já não está disponibilizando as versões antigas. A versão 5.2.20 (master-pdf-editor-5.2.20_i386.deb) é muito boa, mas é necessário comprar, e isso não é viável para mim. Todo trabalho efetuado ou editado e salvo nesta versão recebe um selo de água, e aí não dá. A versão 4.4 não tem este problema, do mesmo modo as versões anteriores.

    A versão do Master PDF Editor 4-4.0.30-1pclos2017.x86_64 que tenho está salvo na minha conta do MEGA. Já não se consegue encontrar esta versão e menos as anteriores em nenhum servidor online. Pelo menos eu não encontrei.

    Antes eu baixava e instalava a versão 4 pelo terminal usando os comandos:

    wget http://get.code-industry.net/public/master-pdf-editor-4.3.10_i386.deb

    sudo dpkg -i master-pdf-editor.deb

    Hoje logo após usar o comando acima para baixar sai o seguinte erro:

    Resolvendo get.code-industry.net (get.code-industry.net)... 136.243.89.42
    Conectando-se a get.code-industry.net (get.code-industry.net)|136.243.89.42|:80... conectado.
    A requisição HTTP foi enviada, aguardando resposta... 404 Not Found
    2019-01-05 20:31:56 ERRO 404: Not Found.

    Ao tentar instalar manualmente pelo gdebi-gtk me sai o seguinte erro:
    'master-pdf-editor4-4.0.30-1pclos2017.x86_64.rpm' não é um pacote Debiam

    Como não um pacote Debiam se eu instalava na versão 18.3?!
    ·
  • editado 6 de janeiro
    A empresa não mantém mais o pacote .deb que você está tentando baixar, uma vez que ela parece ter focado na versão mais nova.
    Em relação ao pacote .rpm que você está tentando instalar no Mint, ele deve ser convertido para .deb antes da instalação.
    Você precisa usar o alien para realizar a conversão de rpm para deb.
    Olha aí o tutorial ensinando a fazer: https://www.vivaolinux.com.br/dica/Converter-arquivos-RPM-para-DEB
    Post edited by Alquintela on

    ·
  • editado 6 de janeiro
    Resolvido. Muito obrigado!
    Post edited by Karlber on
    ·
Entre ou Registre-se para fazer um comentário.